For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
      • GETList models
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
Core ResourcesModels

List models

GET
/v1/models
GET
/v1/models
$curl https://api.elevenlabs.io/v1/models
1[
2 {
3 "model_id": "string",
4 "name": "string",
5 "can_be_finetuned": true,
6 "can_do_text_to_speech": true,
7 "can_do_voice_conversion": true,
8 "can_use_style": true,
9 "can_use_speaker_boost": true,
10 "serves_pro_voices": true,
11 "token_cost_factor": 1.1,
12 "description": "string",
13 "requires_alpha_access": true,
14 "max_characters_request_free_user": 1,
15 "max_characters_request_subscribed_user": 1,
16 "maximum_text_length_per_request": 1,
17 "languages": [
18 {
19 "language_id": "string",
20 "name": "string"
21 }
22 ],
23 "model_rates": {
24 "character_cost_multiplier": 1,
25 "cost_discount_multiplier": 1
26 },
27 "concurrency_group": "string"
28 }
29]
Gets a list of available models.
Was this page helpful?
Previous

Create Single Use Token

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
model_idstring
The unique identifier of the model.
namestring
The name of the model.
can_be_finetunedboolean
Whether the model can be finetuned.
can_do_text_to_speechboolean

Whether the model can do text-to-speech.

can_do_voice_conversionboolean
Whether the model can do voice conversion.
can_use_styleboolean
Whether the model can use style.
can_use_speaker_boostboolean
Whether the model can use speaker boost.
serves_pro_voicesboolean
Whether the model serves pro voices.
token_cost_factordouble
The cost factor for the model.
descriptionstring
The description of the model.
requires_alpha_accessboolean
Whether the model requires alpha access.
max_characters_request_free_userinteger
The maximum number of characters that can be requested by a free user.
max_characters_request_subscribed_userinteger
The maximum number of characters that can be requested by a subscribed user.
maximum_text_length_per_requestinteger
The maximum length of text that can be requested for this model.
languageslist of objects
The languages supported by the model.
model_ratesobject
The rates for the model.
concurrency_groupstring
The concurrency group for the model.

Errors

422
Unprocessable Entity Error